#### D.6.9.1 coDimMap

Procedure from library `classifyMapGerms.lib` (see classifyMapGerms_lib).

Usage:
  coDimMap(I, #); I=ideal, #=list

Compute:
  a bound of the A-determinacy of the map germ defined by I.

Return:
  a list in which 1st entry gives the bound of the A-determinancy and the second entry gives the codimension of the map germ defined by I.

Note:
  if # is empty it computes A^e-codimension(the extended codimension).

Example:

    LIB "classifyMapGerms.lib";
    ring R=0,(x,y),(c,ds);
    poly f1=x;
    poly f2=xy+y5+y7;
    poly f11=f1+f2*f1;
    poly f22=f2+f1^2;
    map phi=basering,x+y,y+y2;
    f1=phi(f11);
    f2=phi(f22);
    ideal I=f1,f2;
    coDimMap(I);
    ==> [1]:
    ==>    14
    ==> [2]:
    ==>    2
    coDimMap(I,1);
    ==> [1]:
    ==>    15
    ==> [2]:
    ==>    4

User manual for Singular version 4.4.1, 2025, generated by texi2html.